package org.objectweb.fractal.helloworld;

import org.objectweb.fractal.fraclet.annotations.Attribute;
import org.objectweb.fractal.fraclet.annotations.Component;
import org.objectweb.fractal.fraclet.annotations.Definition;
import org.objectweb.fractal.fraclet.annotations.Interface;

/**
 * Partial implementation of a Helloworld client component.
 * 
 * @author Romain Rouvoy (Initial Developer)
 * @version $Revision$
 */
@Component(uses = @Definition(name = "ClientSkeleton", arguments = { "en",
        "Empty definition" }), provides = @Interface(name = "r", signature = Runnable.class))
public abstract class AbstractClient implements Runnable {
    protected @Attribute(set = "bindMessage")
    String message;

    /**
     * Explicit setter for attribute message.
     * 
     * @param value new value of the attribute message.
     */
    public void bindMessage(String value) {
        System.out.println("Setting message value to " + value);
        this.message = value;
    }
}